#!/usr/bin/perl

use strict;
use warnings;

use Test::More plan => 1;

=head1 NAME

001_basic.t; tests the overall basic functionality

=head1 DESCRIPTION

Create a L<Moose> class that uses the Caching role and the try out the basic
functionality.  This test uses L<Cache::FastMmap> as the default cache storage
but you can override that with the following %ENV to test against your local
L<Cache::Memcached> based caching server:

	TDB write code for %ENV

=head1 TESTS

This package defines the following tests.

=head2 Create Test Class

Create a class that uses L<MooseX::Attribute::Cached> and has some attributes
that are cached.

=cut


=head1 AUTHOR

John Napiorkowski, C<< <john.napiorkowski at takkle.com> >>

=head1 COPYRIGHT & LICENSE

Copyright 2008 John Napiorkowski, all rights reserved.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

=cut

1;
